Description

Default csv encoding is currently set to ISO-8859-1 in the French localization file. That's probably why the generated csv files do not

show accented characters properly.

Don't you think the general_csv_encoding variable should be set to UTF-8 in locales/fr.yml?

Thank you!

Related issues:

Related to Redmine - Feature #7037: CSV export encoding and excel. UTF-8 and BOM Closed 2010-12-03

Related to Redmine - Feature #26279: Allow switching the encoding to UTF-8 wh... Closed

History

#1 - 2016-01-21 09:17 - Go MAEDA

- Assignee set to Jean-Philippe Lang

- Target version set to 3.3.0

Jean-Philippe, what do you think about this?

Although I cannot judge whether this patch should be merged or not because I am not a French speaker, I am setting target version to 3.3.0 to

request you to make a decision.

#2 - 2016-01-21 10:10 - Vincent Robert

I think this change is not necessary and you may close this issue.

#3 - 2016-01-21 10:47 - Toshi MARUYAMA

- Related to Feature #7037: CSV export encoding and excel. UTF-8 and BOM added

#4 - 2016-01-23 09:20 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version deleted (3.3.0)

As far as I can tell, french spreadcheets like Excel and Calc don't use UTF-8 as default when opening a CSV file.

Thanks anyway for your feedback.

#5 - 2017-10-17 18:10 - Stephane Evr

Jean-Philippe Lang wrote:

As far as I can tell, french spreadcheets like Excel and Calc don't use UTF-8 as default when opening a CSV file.

Thanks anyway for your feedback.

 (#27213) What about the € symbol? I guess it is quite commonly used in Europe, although ISO-8859-1 does not includes this symbol... I am

considering switching the CSV encoding to UTF-8 instead

#6 - 2017-10-17 19:22 - Mischa The Evil

Stephane Evr wrote:

[...] I am considering switching the CSV encoding to UTF-8 instead
https://www.redmine.org/issues/27213


 As I also posted in #27213: This is something that, I think, would be solved by the proposal of #26279. With that, the user can select UTF8 encoding

when exporting to CSV if appropriate.

#7 - 2017-10-17 19:23 - Mischa The Evil

- Related to Feature #26279: Allow switching the encoding to UTF-8 when exporting to CSV added
